Bug 6997 - koha-remove leaves system in inconsistent state if there is an error
Summary: koha-remove leaves system in inconsistent state if there is an error
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6929
  Show dependency treegraph
 
Reported: 2011-10-10 11:49 UTC by Jared Camins-Esakov
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6997: Koha-remove leaves system in inconsistent state (2.63 KB, patch)
2011-10-10 12:10 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 6997: Koha-remove leaves system in inconsistent state (2.65 KB, patch)
2011-11-24 21:34 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-10-10 11:49:41 UTC
If you accidentally delete one of the site configuration files (for example, the Apache conf file) for an instance, then run koha-remove to finish the removal process, the script will die when it tries to rm the nonexistent file, leaving any steps after that in the removal process undone.
Comment 1 Jared Camins-Esakov 2011-10-10 12:10:27 UTC Comment hidden (obsolete)
Comment 2 Dobrica Pavlinusic 2011-11-24 21:34:40 UTC
Created attachment 6396 [details] [review]
Bug 6997: Koha-remove leaves system in inconsistent state

Signed-off-by: Dobrica Pavlinusic <dpavlin@rot13.org>
Comment 3 Ian Walls 2011-12-02 12:59:31 UTC
Handles all the cases, as far as I can tell, wrapping in conditional checks.  Only affects packages in a very specific case, so little chance of regression anywhere in the system.  marking passed QA
Comment 4 Paul Poulain 2011-12-03 06:54:41 UTC
patch pushed, please test
(Note i haven't tested this patch myself, reading it seems OK though)